class ActivityConfigEntity {
  static ActivityConfigEntity fromJson(Map<String, dynamic>? json) {
    return ActivityConfigEntity.from(json!);
  }

  String? id;
  String? redirectType;
  String? bindParams;
  String? imgUrl;
  String? redirectTitle;
  String? locationType;
  String? startTime;
  String? endTime;
  String? weight;
  String? showContent;
  String? showType;
  String? iosRedirectUrl;
  String? androidRedirectUrl;
  String? groupId;
  String? behaviorType;
  String? dayNumber;
  String? specificTime;
  String? showTime;

  ActivityConfigEntity(
      {this.id,
      this.redirectType,
      this.bindParams,
      this.imgUrl,
      this.redirectTitle,
      this.locationType,
      this.startTime,
      this.endTime,
      this.weight,
      this.showContent,
      this.showType,
      this.iosRedirectUrl,
      this.androidRedirectUrl,
      this.groupId,
      this.behaviorType,
      this.dayNumber,
      this.specificTime,
      this.showTime});

  ActivityConfigEntity.from(Map<String, dynamic> json) {
    id = json['id'];
    redirectType = json['redirect_type'];
    bindParams = json['bind_params'];
    imgUrl = json['img_url'];
    redirectTitle = json['redirect_title'];
    locationType = json['location_type'];
    startTime = json['start_time'];
    endTime = json['end_time'];
    weight = json['weight'];
    showContent = json['show_content'];
    showType = json['show_type'];
    iosRedirectUrl = json['ios_redirect_url'];
    androidRedirectUrl = json['android_redirect_url'];
    groupId = json['group_id'];
    behaviorType = json['behavior_type'];
    dayNumber = json['day_number'];
    specificTime = json['specific_time'];
    showTime = json['show_time'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['redirect_type'] = this.redirectType;
    data['bind_params'] = this.bindParams;
    data['img_url'] = this.imgUrl;
    data['redirect_title'] = this.redirectTitle;
    data['location_type'] = this.locationType;
    data['start_time'] = this.startTime;
    data['end_time'] = this.endTime;
    data['weight'] = this.weight;
    data['show_content'] = this.showContent;
    data['show_type'] = this.showType;
    data['ios_redirect_url'] = this.iosRedirectUrl;
    data['android_redirect_url'] = this.androidRedirectUrl;
    data['group_id'] = this.groupId;
    data['behavior_type'] = this.behaviorType;
    data['day_number'] = this.dayNumber;
    data['specific_time'] = this.specificTime;
    data['show_time'] = this.showTime;
    return data;
  }
}
