class RestaurantItem {
  String? shopImg;
  String? shopId;
  String? shopTitle;
  String? commentScore;
  String? avgPrice;
  String? quarterVolume;
  String? categoryName;
  String? regionName;
  String? distance;
  String? showStarScore;
  List<ShopSubItemList>? itemList;

  RestaurantItem(
      {this.shopImg,
      this.shopId,
      this.shopTitle,
      this.commentScore,
      this.avgPrice,
      this.quarterVolume,
      this.categoryName,
      this.regionName,
      this.distance,
      this.showStarScore,
      this.itemList});

  RestaurantItem.fromJson(Map<String, dynamic> json) {
    shopImg = json['shop_img'];
    shopId = json['shop_id'];
    shopTitle = json['shop_title'];
    commentScore = json['comment_score'];
    showStarScore = json['show_star_score'];
    avgPrice = json['avg_price'];
    quarterVolume = json['quarter_volume'];
    categoryName = json['category_name'];
    regionName = json['region_name'];
    distance = json['distance'];
    if (json['item_list'] != null) {
      itemList =List<ShopSubItemList>.empty(growable: true);
      json['item_list'].forEach((v) {
        itemList!.add(new ShopSubItemList.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['shop_img'] = this.shopImg;
    data['shop_id'] = this.shopId;
    data['shop_title'] = this.shopTitle;
    data['comment_score'] = this.commentScore;
    data['show_star_score'] = this.showStarScore;
    data['avg_price'] = this.avgPrice;
    data['quarter_volume'] = this.quarterVolume;
    data['category_name'] = this.categoryName;
    data['region_name'] = this.regionName;
    data['distance'] = this.distance;
    if (this.itemList != null) {
      data['item_list'] = this.itemList!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class ShopSubItemList {
  String? itemTitle;
  String? endPrice;
  String? originalPrice;
  String? dealType;

  ShopSubItemList({this.itemTitle, this.endPrice, this.originalPrice, this.dealType});

  ShopSubItemList.fromJson(Map<String, dynamic> json) {
    itemTitle = json['item_title'];
    endPrice = json['end_price'];
    originalPrice = json['original_price'];
    dealType = json['deal_type'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['item_title'] = this.itemTitle;
    data['end_price'] = this.endPrice;
    data['original_price'] = this.originalPrice;
    data['deal_type'] = this.dealType;
    return data;
  }
}
