import 'package:life_repository/life_repository.dart';

class FilterArepositoryImpl extends FilterArepository {
  FilterArepositoryImpl.get();
  static final FilterArepositoryImpl _instance = FilterArepositoryImpl.get();
  factory FilterArepositoryImpl() {
    return _instance;
  }

  @override
  Future<FilterObject?> getFilterList(String cityId) async {
    var result = await DSDioUtil.getInstance()
        .get('/lifeChannel.filterList', queryParameters: {"city_id": cityId});
    var res =
        DSResponseObject<FilterObject>.fromJson(result, FilterObject.fromJson);
    return res.data;
  }

  @override
  Future<List<SearchTipsItem>> findSearchTips(String cityId, String lat,
      String lng, String firstCateId, String keywords) async {
    var result = await DSDioUtil.getInstance()
        .get('/lifeChannel.searchTips', queryParameters: {
      "city_id": cityId,
      "lat": lat,
      "lng": lng,
      "first_cate_id": firstCateId,
      "keywords": keywords
    });

    var res = DSResponseList<SearchTipsItem>.fromJson(
        result, SearchTipsItem.fromJson);
    return res.data;
  }
}
