import 'package:life_repository/life_repository.dart';

class SecKillRepositoryImpl extends SecKillRepository {
  SecKillRepositoryImpl.get();
  static final SecKillRepositoryImpl _instance = SecKillRepositoryImpl.get();
  factory SecKillRepositoryImpl() {
    return _instance;
  }
  @override
  Future<List<SeckillSession>> findSeckillSession(
      String cityId, String source) async {
    var result = await DSDioUtil.getInstance().get(
        '/lifeChannel.seckillSession',
        queryParameters: {"source": source, "city_id": cityId});
    var res = DSResponseList<SeckillSession>.fromJson(
        result, SeckillSession.fromJson);
    return res.data;
  }

  @override
  Future<List<SecKillGoods>> findSeckillGoodsList(
      String cityId, String showId, String lat, String lng, int page) async {
    var result = await DSDioUtil.getInstance()
        .get('/lifeChannel.seckillItemList', queryParameters: {
      "show_id": showId,
      "city_id": cityId,
      "lat": lat,
      "lng": lng,
      "page": page
    });
    print('==========cityId:$cityId     ');
    var res =
        DSResponseList<SecKillGoods>.fromJson(result, SecKillGoods.fromJson);
    return res.data;
  }

  @override
  Future<bool> findSeckillSwitch() async {
    var result = await DSDioUtil.getInstance()
        .get('systemConfig.getConfig', queryParameters: {
      "key_name": "mtSeckillSwitch",
    });
    var res = DSResponseObject<bool>.fromJson(result, (json) {
      return json!['mtSeckillSwitch'] == '1';
    });
    return res.data ?? false;
  }
}
