import '../../life_repository.dart';

class ShopInfoRepositoryImpl extends ShopInfoRepository {
  ShopInfoRepositoryImpl.get();
  static final ShopInfoRepositoryImpl _instance = ShopInfoRepositoryImpl.get();
  factory ShopInfoRepositoryImpl() {
    return _instance;
  }
  @override
  Future<ShopInfoEntity?> findShopDetail(String shopId, String lat, String lng,
      [String source = "1"]) async {
    var result = await DSDioUtil.getInstance().get('lifeChannel.shopDetail',
        queryParameters: {
          "shop_id": shopId,
          "lat": lat,
          "lng": lng,
          "source": source
        });
    var res = DSResponseObject<ShopInfoEntity>.fromJson(
        result, ShopInfoEntity.fromJson);
    return res.data;
  }

  @override
  Future<ShopOuterInfoEntity?> findShopOuterInfo(
      String shopId, String firstCateId) async {
    var result = await DSDioUtil.getInstance().get('lifeChannel.shopOther',
        queryParameters: {"shop_id": shopId, "first_cate_id": firstCateId});
    var res = DSResponseObject<ShopOuterInfoEntity>.fromJson(
        result, ShopOuterInfoEntity.fromJson);
    return res.data;
  }

  @override
  Future<String?> getShareUrl(String shopId, String firstCateId) async {
    var result = await DSDioUtil.getInstance().get('lifeChannel.shareLink',
        queryParameters: {"shop_id": shopId, "first_cate_id": firstCateId});
    var res = DSResponseObject<String?>.fromJson(result, (json) {
      return json!['url'];
    });
    return res.data;
  }
}
