import 'package:life_repository/life_repository.dart';

class ShopListRepositoryImpl extends ShopListRepository {
  ShopListRepositoryImpl.get();
  static final ShopListRepositoryImpl _instance = ShopListRepositoryImpl.get();
  factory ShopListRepositoryImpl() {
    return _instance;
  }

  @override
  Future<List<ShopItemEntity>> findComboList(
      String cityId,
      String lat,
      String lng,
      String page,
      String firstCateId,
      String keywords,
      String secondCateId,
      String regionId,
      String sortType) async {
    var result = await DSDioUtil.getInstance()
        .get('/lifeChannel.comboList', queryParameters: {
      "city_id": cityId,
      "lat": lat,
      "lng": lng,
      "page": page,
      "first_cate_id": firstCateId,
      "keywords": keywords,
      "second_cate_id": secondCateId,
      "region_id": regionId,
      "sort_type": sortType
    });
    var res = DSResponseList<ShopItemEntity>.fromJson(
        result, ShopItemEntity.fromJson);
    return res.data;
  }

  @override
  Future<List<ShopItemEntity>> findRestaurantList(
      String cityId,
      String lat,
      String lng,
      String page,
      String firstCateId,
      String keywords,
      String secondCateId,
      String regionId,
      String sortType) async {
    var result = await DSDioUtil.getInstance()
        .get('/lifeChannel.restaurantList', queryParameters: {
      "city_id": cityId,
      "lat": lat,
      "lng": lng,
      "page": page,
      "first_cate_id": firstCateId,
      "keywords": keywords,
      "second_cate_id": secondCateId,
      "region_id": regionId,
      "sort_type": sortType
    });
    var res = DSResponseList<ShopItemEntity>.fromJson(
        result, ShopItemEntity.fromJson);
    return res.data;
  }
}
